# SenXor Android SDK
This is the release version of the android project from Meridian Innovation Limited for **XPRO** series with SDK. For more details about the Android SDK please refer to SenXor Android SDK Note.

This is a minor release to update the Software STARK filter implementation in the aar library.

Latest SDK Version: v3.3.1

Android Gradle PlugIn Version: 8.8.0

Gradle Version: 8.8

NDK Version: 26.2

Default OpenCV Version: 4.3.0

## Project Setup

1. Click `File -> New -> Import Project`, and open the SenXorAndroidSDK directory (i.e. this repository)

2. You may need to add your ndk path in the local.properties if it is not there yet, and sync project with gradle file 

3. Refer to [this guide](https://futurestud.io/tutorials/how-to-debug-your-android-app-over-wifi-without-root) for how to debug over Wifi

4. Try to build and run the application module. Suggest not using Available Virtual Devices (AVD) because external USB devices will not be detected in AVD

5. Some application modules require "OpenCV" dependency, please download and import its android-sdk if necessary

6. To install the application, connect to Android device and then click “Run”.

7. Some devices may need to enable OTG when connecting the sensor to the application.

## SDK setup
To apply SDK to the project, add the library directly by importing .aar file into the project.

1. Get the library module libsenxor-android-release.aar

2. Import module from library

3. Make sure settings.gradle contains the library module ‘:libsenxor-android’

4. Add dependency in app gradle file
